<template>
  <router-view />
</template>
<script setup lang="ts">
import {
  ref,
  onMounted,
  onBeforeUnmount,
  reactive,
  defineProps,
  defineEmits,
} from "vue";
import router from "./router";
import store from "@/store";

onMounted(() => {
  // router.push("/Login");
  var val = window.sessionStorage.getItem("Admin-Token");
  if (val) {
    store.state.uname = JSON.parse(val).uname;
  }
});
</script>

<style lang="less">
.map-info-bar {
  display: none;
}
.ol-zoom {
  display: none;
}
.ol-rotate {
  display: none;
}
</style>
